Projects

List projects

GET
/project

Lists all projects for the authenticated user. Results are paginated.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Query Parameters

page?Page

Page number.

Default1
per_page?Per Page

Items per page.

Range1 <= value <= 100
Default20
order?Order

Sort order.

Default"desc"
Value in"asc""desc"
sort_by?Sort By

Sort by field.

Default"created_at"
Value in"name""created_at"
ownership?|

Filter by ownership: 'mine' for own projects, 'shared' for group members' projects.

Defaultnull

Response Body

Successful Response

application/json
  1. response
projects*array<>

List of projects.

pagination*

Pagination information.

curl -X GET "https://example.com/project"
{  "projects": [    {      "project_id": "string",      "project_name": "string",      "created_at": "string",      "jobs": [        "string"      ]    }  ],  "pagination": {    "page": 0,    "per_page": 0,    "total": 0,    "pages": 0,    "has_next": true,    "has_prev": true  }}